## org.eclipse.emf.common.util
Class BasicEList.BasicIndexOutOfBoundsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IndexOutOfBoundsException
                      org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BasicEList<E>

    protected static class BasicEList.BasicIndexOutOfBoundsException

extends java.lang.IndexOutOfBoundsException

An IndexOutOfBoundsException that constructs a message from the argument data. Having this avoids having the byte code that computes the message repeated/inlined at the creation site.

See Also:
  Serialized Form

Constructor Summary
`BasicEList.BasicIndexOutOfBoundsException(int index, int size)` Constructs an instance with a message based on the arguments.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicEList.BasicIndexOutOfBoundsException

    public BasicEList.BasicIndexOutOfBoundsException(int index,
                                                     int size)

  Constructs an instance with a message based on the arguments.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.